CPAN::Perl::Releases(3pm)

NAME
CPAN::Perl::Releases - Mapping Perl releases on CPAN to the location of the tarballs

VERSION
version 5.20260601

SYNOPSIS
  use CPAN::Perl::Releases qw[perl_tarballs];

  my $perl = '5.14.0';

  my $hashref = perl_tarballs( $perl );

  print "Location: ", $_, "\n" for values %{ $hashref };

DESCRIPTION
CPAN::Perl::Releases is a module that contains the mappings of all "perl" releases that have been uploaded to CPAN to the "authors/id/" path that the tarballs reside in.

This is static data, but newer versions of this module will be made available as new releases of "perl" are uploaded to CPAN.

FUNCTIONS

"perl_tarballs"
    Takes one parameter, a "perl" version to search for. Returns an hashref on success or "undef" otherwise.

    The returned hashref will have a key/value for each type of tarball. A key of "tar.gz" indicates the location of a gzipped tar file and "tar.bz2" of a bzip2'd tar file. The values will be the relative path under "authors/id/" on CPAN where the indicated tarball will be located.

      perl_tarballs( '5.14.0' );

      Returns a hashref like:

      {
        "tar.bz2" => "J/JE/JESSE/perl-5.14.0.tar.bz2",
        "tar.gz" => "J/JE/JESSE/perl-5.14.0.tar.gz"
      }

    Not all "perl" releases had "tar.bz2", but only a "tar.gz".

    Perl tarballs may also be compressed using "xz" and therefore have a "tar.xz" entry.

"perl_versions"
    Returns the list of all the perl versions supported by the module in ascending order. "TRIAL" and "RC" will be lower than an actual release.

"perl_pumpkins"
    Returns a sorted list of all PAUSE IDs of Perl pumpkins.

SEE ALSO
<http://www.cpan.org/src/5.0/>

AUTHOR
Chris Williams <chris@bingosnet.co.uk>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Chris Williams.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.